async function manualReply(message, data) {
if (!message) throw new Error('Çekilecek Mesajı Girmelisiniz!');
if (!data) throw new Error('Gönderilecek Mesajı Girmelisiniz!');

const messageData = ({
"data": {
"content": data,
"tts": false,
"replied_user": true,
"message": message,
"message_id": message.id,
"guild_id": message.guild.id,
"channel_id": message.channel.id
}});

message.client.api.channels[message.channel.id].messages.post({ 
"data": {
"content": data,
"tts": false,
"message_reference": {
"message": message,
"message_id": message.id ,
"guild_id": message.guild.id,
"channel_id": message.channel.id,
},
"allowed_mentions": { 
"replied_user": true
}
}
}).then(ch => ch.referenced_message);
return messageData;
};

async function manualReplyNoMention(message, data) {
if (!message) throw new Error('Çekilecek Mesajı Girmelisiniz!');
if (!data) throw new Error('Gönderilecek Mesajı Girmelisiniz!');

const messageData = ({
"data": {
"content": data,
"replied_user": false,
"tts": false,
"message": message,
"message_id": message.id,
"guild_id": message.guild.id,
"channel_id": message.channel.id
}});

message.client.api.channels[message.channel.id].messages.post({
"data": {
"content": data,
"tts": false,
"message_reference": {
"message": message,
"title": message,
"message_id": message.id ,
"guild_id": message.guild.id,
"channel_id": message.channel.id
},
"allowed_mentions": {
"replied_user": false
}
}
}).then(ch => ch.referenced_message);
return messageData;
};

module.exports = { manualReply, manualReplyNoMention }